<?php

namespace Garradin;

use Garradin\Plugin\RecusFiscaux\Utils;

// liste des versements pour activités
$_SESSION['lesVersements'] = Utils::getTousLesVersements("2021");

// liste des activités
$activites = Utils::getActivites();
foreach ($activites as $num => $activite)
{
    // ajouter les tarifs de l'activité
    $activite->{'tarifs'} = Utils::getTarifs($activite->{'idActivite'});
}

// préparation de l'affichage
$tpl->assign('lesVersements', $_SESSION['lesVersements']);
$tpl->assign('listeParActiviteEtTarif', $activites);
$tpl->assign('plugin_css', ['style.css']);

// envoyer au template
$tpl->display(PLUGIN_ROOT . '/templates/versements.tpl');
